#ifndef SCAN_H
#define SCAN_H

extern void set_scanner_buffer(const char *line, int len);
extern int scanner_input();

#define YY_INPUT(buf,result,max_size) { \
    int c = scanner_input(); \
    if (c == 0) result = YY_NULL; else {buf[0] = c; result = 1;} \
}

typedef struct {
    double double_value;
} yys;

#define YYSTYPE yys
#define YYLTYPE int

#include "calc.tab.h"

/*
#define DOUBLE_CONST   1
#define PLUS    2
#define MINUS   3
#define MULT    4
#define DIV     5
#define ENDL    6
*/

int yyylex();
int yylex(YYSTYPE *lvalp); /* For pure parser */

extern YYSTYPE yylval;

#endif
